4Suite™ API Documentation

# ► Module Ft.Xml.Xslt._4xslt

Implementation of '4xslt' command (functions defined here are used by the Ft.Lib.CommandLine framework)

    Copyright 2006 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XsltCommandLineApp |  |  |  | Functions: ReportFatalException, Run, StySourceArgToInputSource |  |  |  | Globals: DefaultFactory, MAX_PYTHON_RECURSION_DEPTH, g_paramBindingPattern, g_prefixBindingPattern

## Classes

class XsltCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  run(self, options, arguments)
    Overrides: run from class CommandLineApp
  validate_options(self, options)
    Overrides: validate_options from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  __init__, gen_command_tree, gen_usage, get_help_doc_info, main, parse_command_line, run_commands

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree, validate_arguments

  ### Members

  arguments = [<Ft.Lib.CommandLine.Arguments.RequiredArgument instance>, <Ft.Lib.CommandLine.Arguments.ZeroOrMoreArgument instance>]
  description = '4XSLT command-line application'
  name = '4xslt'
  options = [[--validate], [--ignore], [--media=<MEDIA>], [--define=<NAME=VALUE>], [--prefix=<PREFIX=NSURI>], [--alt-sty-path=<PATH>], [--alt-sty-uri=<URI>], [--outfile=<FILE>], [--stacktrace-on-error], [--noxinclude], [--trace], [--trace-file=<FILE>], [[--reflex] | [--compile] | [--instant] | [--chain]], [--time], [--msg-prefix=<STRING>], [--msg-suffix=<STRING>], [--no-messages]]
  project_name = '4Suite-XML'
  project_url = 'http://4suite.org/'
  project_version = '1.0rc5'
  summary = 'command-line tool for performing XSLT transformations on XMLdocuments'

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  commands, example, global_options

## Functions

ReportFatalException(e, stacktrace_on_error=False)
  Formats various exceptions; raises SystemExit, never returns.
Run(options, args)
StySourceArgToInputSource(arg, factory, *v_args, **kw_args)
  A wrapper for SourceArgToInputSource().

      If an InputSource cannot be created from the source argument,
      then the argument is resolved against alternative stylesheet base
      URIs (if any) until an InputSource is successfully created or the
      list of URIs is exhausted.

## Globals

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>
MAX_PYTHON_RECURSION_DEPTH = 10000
g_paramBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects
g_prefixBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects